Get all rulesets

View as Markdown

Gets a list of the team’s rulesets. The response includes both team-owned rulesets (custom) and Postman-managed system rulesets (system). This endpoint doesn’t include ruleset content.

Authentication

x-api-keystring
API Key authentication via header

Query parameters

cursorstringOptional

The pointer to the first record of the set of paginated results. To view the next response, use the nextCursor value for this parameter.

limitintegerOptional1-100Defaults to 10
The maximum number of results to return per page.

Response

Successful Response
datalist of objectsOptional
A list of rulesets.
metaobjectOptional
The response's meta information for paginated results.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error